import request from '@/utils/request'

// 查询企业微信素材分组列表
export function listMaterialGroup(query) {
  return request({
    url: '/qw/materialGroup/list',
    method: 'get',
    params: query
  })
}

// 查询企业微信素材分组详细
export function getMaterialGroup(materialGroupId) {
  return request({
    url: '/qw/materialGroup/' + materialGroupId,
    method: 'get'
  })
}

// 新增企业微信素材分组
export function addMaterialGroup(data) {
  return request({
    url: '/qw/materialGroup',
    method: 'post',
    data: data
  })
}

// 修改企业微信素材分组
export function updateMaterialGroup(data) {
  return request({
    url: '/qw/materialGroup',
    method: 'put',
    data: data
  })
}

// 删除企业微信素材分组
export function delMaterialGroup(materialGroupId) {
  return request({
    url: '/qw/materialGroup/' + materialGroupId,
    method: 'delete'
  })
}

// 导出企业微信素材分组
export function exportMaterialGroup(query) {
  return request({
    url: '/qw/materialGroup/export',
    method: 'get',
    params: query
  })
}